{
  "minecraft:recipes/building_blocks/polished_andesite_slab": {
    "criteria": {
      "has_polished_andesite": "2019-09-15 21:47:15 +0800"
    },
    "done": true
  },
  "minecraft:recipes/building_blocks/quartz_pillar": {
    "criteria": {
      "has_quartz_block": "2019-12-04 22:02:33 +0800"
    },
    "done": true
  },
  "minecraft:recipes/redstone/lever": {
    "criteria": {
      "has_cobblestone": "2019-11-19 21:26:33 +0800"
    },
    "done": true
  },
  "minecraft:recipes/building_blocks/cobblestone_stairs_from_cobblestone_stonecutting": {
    "criteria": {
      "has_cobblestone": "2019-11-19 21:26:33 +0800"
    },
    "done": true
  },
  "minecraft:recipes/building_blocks/magenta_concrete_powder": {
    "criteria": {
      "has_gravel": "2019-11-19 21:11:11 +0800"
    },
    "done": true
  },
  "minecraft:recipes/combat/iron_sword": {
    "criteria": {
      "has_iron_ingot": "2020-01-01 16:30:42 +0800"
    },
    "done": true
  },
  "minecraft:recipes/building_blocks/stone_bricks": {
    "criteria": {
      "has_stone": "2019-11-19 21:11:21 +0800"
    },
    "done": true
  },
  "minecraft:recipes/misc/writable_book": {
    "criteria": {
      "has_book": "2019-11-19 21:58:30 +0800"
    },
    "done": true
  },
  "minecraft:recipes/misc/wheat": {
    "criteria": {
      "has_hay_block": "2019-11-19 21:20:24 +0800"
    },
    "done": true
  },
  "minecraft:recipes/building_blocks/polished_andesite_stairs": {
    "criteria": {
      "has_polished_andesite": "2019-09-15 21:47:15 +0800"
    },
    "done": true
  },
  "minecraft:recipes/building_blocks/polished_andesite_stairs_from_andesite_stonecutting": {
    "criteria": {
      "has_andesite": "2019-11-19 21:26:38 +0800"
    },
    "done": true
  },
  "minecraft:recipes/building_blocks/lime_concrete_powder": {
    "criteria": {
      "has_gravel": "2019-11-19 21:11:11 +0800"
    },
    "done": true
  },
  "minecraft:recipes/tools/iron_pickaxe": {
    "criteria": {
      "has_iron_ingot": "2020-01-01 16:30:42 +0800"
    },
    "done": true
  },
  "minecraft:recipes/building_blocks/yellow_concrete_powder": {
    "criteria": {
      "has_gravel": "2019-11-19 21:11:11 +0800"
    },
    "done": true
  },
  "minecraft:recipes/building_blocks/dark_prismarine": {
    "criteria": {
      "has_prismarine_shard": "2019-12-24 21:40:51 +0800"
    },
    "done": true
  },
  "minecraft:recipes/decorations/campfire": {
    "criteria": {
      "has_coal": "2019-09-16 20:00:33 +0800"
    },
    "done": true
  },
  "minecraft:recipes/tools/golden_hoe": {
    "criteria": {
      "has_gold_ingot": "2020-01-01 16:46:12 +0800"
    },
    "done": true
  },
  "minecraft:recipes/building_blocks/smooth_stone": {
    "criteria": {
      "has_stone": "2019-11-19 21:11:21 +0800"
    },
    "done": true
  },
  "minecraft:recipes/building_blocks/magma_block": {
    "criteria": {
      "has_magma_cream": "2020-02-22 23:43:08 +0800"
    },
    "done": true
  },
  "minecraft:recipes/misc/map": {
    "criteria": {
      "has_compass": "2020-03-27 21:34:45 +0800"
    },
    "done": true
  },
  "minecraft:recipes/misc/iron_nugget": {
    "criteria": {
      "has_iron_ingot": "2020-01-01 16:30:42 +0800"
    },
    "done": true
  },
  "minecraft:recipes/decorations/chest": {
    "criteria": {
      "has_lots_of_items": "2019-09-15 21:44:19 +0800"
    },
    "done": true
  },
  "minecraft:story/shiny_gear": {
    "criteria": {
      "diamond_helmet": "2019-12-04 22:45:25 +0800"
    },
    "done": true
  },
  "minecraft:recipes/combat/golden_sword": {
    "criteria": {
      "has_gold_ingot": "2020-01-01 16:46:12 +0800"
    },
    "done": true
  },
  "minecraft:recipes/building_blocks/brown_concrete_powder": {
    "criteria": {
      "has_gravel": "2019-11-19 21:11:11 +0800"
    },
    "done": true
  },
  "minecraft:recipes/building_blocks/stone_slab_from_stone_stonecutting": {
    "criteria": {
      "has_stone": "2019-11-19 21:11:21 +0800"
    },
    "done": true
  },
  "minecraft:end/elytra": {
    "criteria": {
      "elytra": "2019-11-19 22:00:25 +0800"
    },
    "done": true
  },
  "minecraft:recipes/building_blocks/chiseled_stone_bricks_stone_from_stonecutting": {
    "criteria": {
      "has_stone": "2019-11-19 21:11:21 +0800"
    },
    "done": true
  },
  "minecraft:end/levitate": {
    "criteria": {
      "levitated": "2019-12-29 22:17:51 +0800"
    },
    "done": true
  },
  "minecraft:recipes/building_blocks/red_sandstone": {
    "criteria": {
      "has_sand": "2019-11-19 21:52:03 +0800"
    },
    "done": true
  },
  "minecraft:recipes/decorations/blue_stained_glass_pane_from_glass_pane": {
    "criteria": {
      "has_blue_dye": "2019-10-19 00:15:48 +0800"
    },
    "done": true
  },
  "minecraft:recipes/decorations/purple_carpet_from_white_carpet": {
    "criteria": {
      "has_purple_dye": "2019-10-18 23:58:32 +0800"
    },
    "done": true
  },
  "minecraft:recipes/combat/diamond_sword": {
    "criteria": {
      "has_diamond": "2020-01-04 22:10:11 +0800"
    },
    "done": true
  },
  "minecraft:recipes/decorations/red_carpet_from_white_carpet": {
    "criteria": {
      "has_red_dye": "2019-09-23 21:59:49 +0800"
    },
    "done": true
  },
  "minecraft:recipes/tools/shears": {
    "criteria": {
      "has_iron_ingot": "2020-01-01 16:30:42 +0800"
    },
    "done": true
  },
  "minecraft:recipes/building_blocks/stone_brick_slab_from_stone_stonecutting": {
    "criteria": {
      "has_stone": "2019-11-19 21:11:21 +0800"
    },
    "done": true
  },
  "minecraft:recipes/building_blocks/packed_ice": {
    "criteria": {
      "has_ice": "2020-04-06 14:55:36 +0800"
    },
    "done": true
  },
  "minecraft:recipes/transportation/spruce_boat": {
    "criteria": {
      "in_water": "2019-11-03 22:40:39 +0800"
    },
    "done": true
  },
  "minecraft:recipes/decorations/jukebox": {
    "criteria": {
      "has_diamond": "2020-01-04 22:10:11 +0800"
    },
    "done": true
  },
  "minecraft:recipes/redstone/dispenser": {
    "criteria": {
      "has_bow": "2020-01-24 21:48:27 +0800"
    },
    "done": true
  },
  "minecraft:recipes/building_blocks/quartz_stairs_from_quartz_block_stonecutting": {
    "criteria": {
      "has_quartz_block": "2019-12-04 22:02:33 +0800"
    },
    "done": true
  },
  "minecraft:recipes/decorations/light_blue_glazed_terracotta": {
    "criteria": {
      "has_light_blue_terracotta": "2019-09-15 22:30:07 +0800"
    },
    "done": true
  },
  "minecraft:recipes/misc/gold_nugget": {
    "criteria": {
      "has_gold_ingot": "2020-01-01 16:46:12 +0800"
    },
    "done": true
  },
  "minecraft:recipes/combat/iron_leggings": {
    "criteria": {
      "has_iron_ingot": "2020-01-01 16:30:42 +0800"
    },
    "done": true
  },
  "minecraft:recipes/combat/shield": {
    "criteria": {
      "has_iron_ingot": "2020-01-01 16:30:42 +0800"
    },
    "done": true
  },
  "minecraft:recipes/building_blocks/cobblestone_slab": {
    "criteria": {
      "has_cobblestone": "2019-11-19 21:26:33 +0800"
    },
    "done": true
  },
  "minecraft:recipes/misc/bucket": {
    "criteria": {
      "has_iron_ingot": "2020-01-01 16:30:42 +0800"
    },
    "done": true
  },
  "minecraft:recipes/building_blocks/cobblestone_stairs": {
    "criteria": {
      "has_cobblestone": "2019-11-19 21:26:33 +0800"
    },
    "done": true
  },
  "minecraft:recipes/redstone/hopper": {
    "criteria": {
      "has_iron_ingot": "2020-01-01 16:30:42 +0800"
    },
    "done": true
  },
  "minecraft:recipes/building_blocks/coarse_dirt": {
    "criteria": {
      "has_gravel": "2019-11-19 21:11:11 +0800"
    },
    "done": true
  },
  "minecraft:recipes/building_blocks/light_gray_concrete_powder": {
    "criteria": {
      "has_gravel": "2019-11-19 21:11:11 +0800"
    },
    "done": true
  },
  "minecraft:recipes/building_blocks/light_blue_concrete_powder": {
    "criteria": {
      "has_gravel": "2019-11-19 21:11:11 +0800"
    },
    "done": true
  },
  "minecraft:recipes/building_blocks/polished_diorite_slab_from_diorite_stonecutting": {
    "criteria": {
      "has_diorite": "2019-12-04 22:03:57 +0800"
    },
    "done": true
  },
  "minecraft:recipes/misc/creeper_banner_pattern": {
    "criteria": {
      "has_creeper_head": "2019-11-19 21:46:34 +0800"
    },
    "done": true
  },
  "minecraft:recipes/decorations/white_glazed_terracotta": {
    "criteria": {
      "has_white_terracotta": "2019-09-15 22:40:56 +0800"
    },
    "done": true
  },
  "minecraft:recipes/building_blocks/glass": {
    "criteria": {
      "has_sand": "2019-11-19 21:52:02 +0800"
    },
    "done": true
  },
  "minecraft:recipes/combat/iron_helmet": {
    "criteria": {
      "has_iron_ingot": "2020-01-01 16:30:42 +0800"
    },
    "done": true
  },
  "minecraft:recipes/tools/golden_shovel": {
    "criteria": {
      "has_gold_ingot": "2020-01-01 16:46:12 +0800"
    },
    "done": true
  },
  "minecraft:recipes/building_blocks/pink_concrete_powder": {
    "criteria": {
      "has_gravel": "2019-11-19 21:11:11 +0800"
    },
    "done": true
  },
  "minecraft:recipes/misc/magenta_dye_from_blue_red_white_dye": {
    "criteria": {
      "has_rose_red": "2019-09-23 21:59:49 +0800"
    },
    "done": true
  },
  "minecraft:recipes/food/cooked_chicken_from_smoking": {
    "criteria": {
      "has_chicken": "2019-09-15 22:34:46 +0800"
    },
    "done": true
  },
  "minecraft:nether/get_wither_skull": {
    "criteria": {
      "wither_skull": "2020-01-01 16:31:03 +0800"
    },
    "done": true
  },
  "minecraft:recipes/redstone/lectern": {
    "criteria": {
      "has_book": "2019-11-19 21:58:30 +0800"
    },
    "done": true
  },
  "minecraft:recipes/building_blocks/purple_concrete_powder": {
    "criteria": {
      "has_gravel": "2019-11-19 21:11:11 +0800"
    },
    "done": true
  },
  "minecraft:recipes/building_blocks/stone_stairs_from_stone_stonecutting": {
    "criteria": {
      "has_stone": "2019-11-19 21:11:21 +0800"
    },
    "done": true
  },
  "minecraft:recipes/building_blocks/andesite_stairs_from_andesite_stonecutting": {
    "criteria": {
      "has_andesite": "2019-11-19 21:26:38 +0800"
    },
    "done": true
  },
  "minecraft:recipes/decorations/iron_bars": {
    "criteria": {
      "has_iron_ingot": "2020-01-01 16:30:42 +0800"
    },
    "done": true
  },
  "minecraft:recipes/misc/magenta_dye_from_purple_and_pink": {
    "criteria": {
      "has_purple_dye": "2019-10-18 23:58:32 +0800"
    },
    "done": true
  },
  "minecraft:recipes/building_blocks/gold_block": {
    "criteria": {
      "has_gold_ingot": "2020-04-15 18:05:27 +0800"
    },
    "done": true
  },
  "minecraft:story/obtain_armor": {
    "criteria": {
      "iron_leggings": "2019-10-19 00:02:02 +0800"
    },
    "done": true
  },
  "minecraft:recipes/combat/diamond_chestplate": {
    "criteria": {
      "has_diamond": "2020-01-04 22:10:11 +0800"
    },
    "done": true
  },
  "minecraft:story/mine_stone": {
    "criteria": {
      "get_stone": "2019-11-19 21:26:33 +0800"
    },
    "done": true
  },
  "minecraft:recipes/decorations/furnace": {
    "criteria": {
      "has_cobblestone": "2019-11-19 21:26:33 +0800"
    },
    "done": true
  },
  "minecraft:recipes/transportation/minecart": {
    "criteria": {
      "has_iron_ingot": "2020-01-01 16:30:42 +0800"
    },
    "done": true
  },
  "minecraft:recipes/misc/yellow_dye_from_sunflower": {
    "criteria": {
      "has_double_plant": "2020-01-01 16:46:14 +0800"
    },
    "done": true
  },
  "minecraft:recipes/misc/beacon": {
    "criteria": {
      "has_nether_star": "2019-11-22 21:45:02 +0800"
    },
    "done": true
  },
  "minecraft:recipes/decorations/orange_glazed_terracotta": {
    "criteria": {
      "has_orange_terracotta": "2019-09-15 22:35:50 +0800"
    },
    "done": true
  },
  "minecraft:recipes/combat/diamond_leggings": {
    "criteria": {
      "has_diamond": "2020-01-04 22:10:11 +0800"
    },
    "done": true
  },
  "minecraft:recipes/building_blocks/andesite_stairs": {
    "criteria": {
      "has_andesite": "2019-11-19 21:26:38 +0800"
    },
    "done": true
  },
  "minecraft:recipes/building_blocks/sandstone": {
    "criteria": {
      "has_sand": "2019-11-19 21:52:02 +0800"
    },
    "done": true
  },
  "minecraft:recipes/decorations/lime_stained_glass_pane_from_glass_pane": {
    "criteria": {
      "has_lime_dye": "2019-10-18 23:58:28 +0800"
    },
    "done": true
  },
  "minecraft:recipes/tools/iron_hoe": {
    "criteria": {
      "has_iron_ingot": "2020-01-01 16:30:42 +0800"
    },
    "done": true
  },
  "minecraft:recipes/building_blocks/cobblestone_slab_from_cobblestone_stonecutting": {
    "criteria": {
      "has_cobblestone": "2019-11-19 21:26:33 +0800"
    },
    "done": true
  },
  "minecraft:husbandry/root": {
    "criteria": {
      "consumed_item": "2019-11-19 21:08:49 +0800"
    },
    "done": true
  },
  "minecraft:recipes/transportation/birch_boat": {
    "criteria": {
      "in_water": "2019-11-03 22:40:39 +0800"
    },
    "done": true
  },
  "minecraft:recipes/food/golden_apple": {
    "criteria": {
      "has_gold_ingot": "2020-01-01 16:46:12 +0800"
    },
    "done": true
  },
  "minecraft:recipes/building_blocks/quartz_stairs": {
    "criteria": {
      "has_quartz_block": "2019-12-04 22:02:33 +0800"
    },
    "done": true
  },
  "minecraft:recipes/building_blocks/polished_diorite_slab": {
    "criteria": {
      "has_polished_diorite": "2019-12-04 22:03:57 +0800"
    },
    "done": true
  },
  "minecraft:recipes/building_blocks/polished_andesite_slab_from_andesite_stonecutting": {
    "criteria": {
      "has_andesite": "2019-11-19 21:26:38 +0800"
    },
    "done": true
  },
  "minecraft:recipes/building_blocks/green_concrete_powder": {
    "criteria": {
      "has_gravel": "2019-11-19 21:11:11 +0800"
    },
    "done": true
  },
  "minecraft:recipes/building_blocks/polished_andesite_from_andesite_stonecutting": {
    "criteria": {
      "has_andesite": "2019-11-19 21:26:38 +0800"
    },
    "done": true
  },
  "minecraft:recipes/transportation/acacia_boat": {
    "criteria": {
      "in_water": "2019-11-03 22:40:39 +0800"
    },
    "done": true
  },
  "minecraft:recipes/tools/iron_shovel": {
    "criteria": {
      "has_iron_ingot": "2020-01-01 16:30:42 +0800"
    },
    "done": true
  },
  "minecraft:recipes/redstone/iron_trapdoor": {
    "criteria": {
      "has_iron_ingot": "2020-01-01 16:30:42 +0800"
    },
    "done": true
  },
  "minecraft:end/dragon_breath": {
    "criteria": {
      "dragon_breath": "2020-01-27 21:45:58 +0800"
    },
    "done": true
  },
  "minecraft:adventure/root": {
    "criteria": {
      "killed_by_something": "2019-09-15 21:23:01 +0800"
    },
    "done": true
  },
  "minecraft:recipes/food/cooked_salmon_from_campfire_cooking": {
    "criteria": {
      "has_salmon": "2019-09-15 21:47:53 +0800"
    },
    "done": true
  },
  "minecraft:recipes/building_blocks/white_concrete_powder": {
    "criteria": {
      "has_gravel": "2019-11-19 21:11:11 +0800"
    },
    "done": true
  },
  "minecraft:recipes/building_blocks/stone_brick_stairs_from_stone_stonecutting": {
    "criteria": {
      "has_stone": "2019-11-19 21:11:21 +0800"
    },
    "done": true
  },
  "minecraft:recipes/tools/stone_hoe": {
    "criteria": {
      "has_cobblestone": "2019-11-19 21:26:33 +0800"
    },
    "done": true
  },
  "minecraft:recipes/decorations/green_glazed_terracotta": {
    "criteria": {
      "has_green_terracotta": "2019-09-15 22:35:51 +0800"
    },
    "done": true
  },
  "minecraft:recipes/tools/diamond_pickaxe": {
    "criteria": {
      "has_diamond": "2020-01-04 22:10:11 +0800"
    },
    "done": true
  },
  "minecraft:recipes/tools/diamond_hoe": {
    "criteria": {
      "has_diamond": "2020-01-04 22:10:11 +0800"
    },
    "done": true
  },
  "minecraft:adventure/kill_all_mobs": {
    "criteria": {
      "minecraft:slime": "2019-12-30 19:01:14 +0800",
      "minecraft:evoker": "2020-03-28 15:08:00 +0800"
    },
    "done": false
  },
  "minecraft:recipes/tools/diamond_shovel": {
    "criteria": {
      "has_diamond": "2020-01-04 22:10:11 +0800"
    },
    "done": true
  },
  "minecraft:recipes/misc/ender_eye": {
    "criteria": {
      "has_blaze_powder": "2019-11-03 21:44:48 +0800"
    },
    "done": true
  },
  "minecraft:recipes/decorations/end_crystal": {
    "criteria": {
      "has_ender_eye": "2019-11-12 21:42:51 +0800"
    },
    "done": true
  },
  "minecraft:recipes/building_blocks/chiseled_quartz_block_from_quartz_block_stonecutting": {
    "criteria": {
      "has_quartz_block": "2019-12-04 22:02:33 +0800"
    },
    "done": true
  },
  "minecraft:recipes/decorations/red_glazed_terracotta": {
    "criteria": {
      "has_red_terracotta": "2019-09-15 22:30:26 +0800"
    },
    "done": true
  },
  "minecraft:recipes/decorations/yellow_banner": {
    "criteria": {
      "has_yellow_wool": "2019-09-15 21:38:11 +0800"
    },
    "done": true
  },
  "minecraft:recipes/decorations/ender_chest": {
    "criteria": {
      "has_ender_eye": "2019-11-12 21:42:51 +0800"
    },
    "done": true
  },
  "minecraft:recipes/food/cooked_chicken_from_campfire_cooking": {
    "criteria": {
      "has_chicken": "2019-09-15 22:34:46 +0800"
    },
    "done": true
  },
  "minecraft:recipes/decorations/lime_carpet_from_white_carpet": {
    "criteria": {
      "has_lime_dye": "2019-10-18 23:58:28 +0800"
    },
    "done": true
  },
  "minecraft:recipes/misc/iron_nugget_from_smelting": {
    "criteria": {
      "has_iron_hoe": "2019-09-15 21:12:01 +0800"
    },
    "done": true
  },
  "minecraft:recipes/decorations/pink_stained_glass_pane_from_glass_pane": {
    "criteria": {
      "has_pink_dye": "2020-02-10 17:23:50 +0800"
    },
    "done": true
  },
  "minecraft:recipes/building_blocks/polished_diorite_stairs_from_polished_diorite_stonecutting": {
    "criteria": {
      "has_polished_diorite": "2019-12-04 22:03:57 +0800"
    },
    "done": true
  },
  "minecraft:recipes/building_blocks/jack_o_lantern": {
    "criteria": {
      "has_carved_pumpkin": "2019-11-19 21:20:23 +0800"
    },
    "done": true
  },
  "minecraft:recipes/building_blocks/quartz_pillar_from_quartz_block_stonecutting": {
    "criteria": {
      "has_quartz_block": "2019-12-04 22:02:33 +0800"
    },
    "done": true
  },
  "minecraft:recipes/building_blocks/smooth_quartz": {
    "criteria": {
      "has_quartz_block": "2019-12-04 22:02:33 +0800"
    },
    "done": true
  },
  "minecraft:recipes/building_blocks/polished_diorite_stairs": {
    "criteria": {
      "has_polished_diorite": "2019-12-04 22:03:57 +0800"
    },
    "done": true
  },
  "minecraft:story/mine_diamond": {
    "criteria": {
      "diamond": "2020-01-04 22:10:11 +0800"
    },
    "done": true
  },
  "minecraft:recipes/decorations/yellow_bed": {
    "criteria": {
      "has_yellow_wool": "2019-09-15 21:38:11 +0800"
    },
    "done": true
  },
  "minecraft:recipes/misc/light_blue_dye_from_blue_white_dye": {
    "criteria": {
      "has_blue_dye": "2019-10-19 00:15:48 +0800"
    },
    "done": true
  },
  "minecraft:recipes/combat/diamond_helmet": {
    "criteria": {
      "has_diamond": "2020-01-04 22:10:11 +0800"
    },
    "done": true
  },
  "minecraft:recipes/decorations/red_stained_glass_pane_from_glass_pane": {
    "criteria": {
      "has_red_dye": "2019-09-23 21:59:49 +0800"
    },
    "done": true
  },
  "minecraft:recipes/decorations/snow": {
    "criteria": {
      "has_snowball": "2019-10-18 23:58:26 +0800"
    },
    "done": true
  },
  "minecraft:recipes/transportation/oak_boat": {
    "criteria": {
      "in_water": "2019-11-03 22:40:39 +0800"
    },
    "done": true
  },
  "minecraft:recipes/building_blocks/orange_concrete_powder": {
    "criteria": {
      "has_gravel": "2019-11-19 21:11:11 +0800"
    },
    "done": true
  },
  "minecraft:recipes/building_blocks/cyan_concrete_powder": {
    "criteria": {
      "has_gravel": "2019-11-19 21:11:11 +0800"
    },
    "done": true
  },
  "minecraft:recipes/combat/golden_boots": {
    "criteria": {
      "has_gold_ingot": "2020-01-01 16:46:12 +0800"
    },
    "done": true
  },
  "minecraft:recipes/misc/pink_dye_from_red_white_dye": {
    "criteria": {
      "has_red_dye": "2019-09-23 21:59:49 +0800"
    },
    "done": true
  },
  "minecraft:recipes/misc/cyan_dye": {
    "criteria": {
      "has_blue_dye": "2019-10-19 00:15:48 +0800"
    },
    "done": true
  },
  "minecraft:recipes/brewing/blaze_powder": {
    "criteria": {
      "has_blaze_rod": "2019-10-19 00:17:31 +0800"
    },
    "done": true
  },
  "minecraft:recipes/building_blocks/polished_diorite_stairs_from_diorite_stonecutting": {
    "criteria": {
      "has_diorite": "2019-12-04 22:03:57 +0800"
    },
    "done": true
  },
  "minecraft:recipes/building_blocks/stone_bricks_from_stone_stonecutting": {
    "criteria": {
      "has_stone": "2019-11-19 21:11:21 +0800"
    },
    "done": true
  },
  "minecraft:recipes/combat/golden_chestplate": {
    "criteria": {
      "has_gold_ingot": "2020-01-01 16:46:12 +0800"
    },
    "done": true
  },
  "minecraft:recipes/food/cooked_salmon_from_smoking": {
    "criteria": {
      "has_salmon": "2019-09-15 21:47:53 +0800"
    },
    "done": true
  },
  "minecraft:recipes/tools/diamond_axe": {
    "criteria": {
      "has_diamond": "2020-01-04 22:10:11 +0800"
    },
    "done": true
  },
  "minecraft:recipes/building_blocks/bricks": {
    "criteria": {
      "has_brick": "2020-02-25 22:34:09 +0800"
    },
    "done": true
  },
  "minecraft:recipes/decorations/scaffolding": {
    "criteria": {
      "has_bamboo": "2019-09-15 21:50:26 +0800"
    },
    "done": true
  },
  "minecraft:recipes/building_blocks/polished_diorite_slab_from_polished_diorite_stonecutting": {
    "criteria": {
      "has_polished_diorite": "2019-12-04 22:03:57 +0800"
    },
    "done": true
  },
  "minecraft:recipes/building_blocks/iron_block": {
    "criteria": {
      "has_iron_ingot": "2020-04-06 13:50:38 +0800"
    },
    "done": true
  },
  "minecraft:recipes/decorations/painting": {
    "criteria": {
      "has_wool": "2019-09-15 21:38:11 +0800"
    },
    "done": true
  },
  "minecraft:recipes/building_blocks/quartz_slab": {
    "criteria": {
      "has_quartz_block": "2019-12-04 22:02:33 +0800"
    },
    "done": true
  },
  "minecraft:recipes/combat/arrow": {
    "criteria": {
      "has_feather": "2019-09-15 22:34:46 +0800"
    },
    "done": true
  },
  "minecraft:recipes/building_blocks/stone_slab": {
    "criteria": {
      "has_stone": "2019-11-19 21:11:21 +0800"
    },
    "done": true
  },
  "minecraft:recipes/building_blocks/andesite_slab_from_andesite_stonecutting": {
    "criteria": {
      "has_andesite": "2019-11-19 21:26:38 +0800"
    },
    "done": true
  },
  "minecraft:recipes/building_blocks/coal_block": {
    "criteria": {
      "has_coal": "2020-03-28 14:35:15 +0800"
    },
    "done": true
  },
  "minecraft:recipes/redstone/light_weighted_pressure_plate": {
    "criteria": {
      "has_gold_ingot": "2020-01-01 16:46:12 +0800"
    },
    "done": true
  },
  "minecraft:recipes/misc/gold_nugget_from_blasting": {
    "criteria": {
      "has_golden_axe": "2019-10-19 00:02:02 +0800"
    },
    "done": true
  },
  "minecraft:recipes/tools/stone_shovel": {
    "criteria": {
      "has_cobblestone": "2019-11-19 21:26:33 +0800"
    },
    "done": true
  },
  "minecraft:adventure/throw_trident": {
    "criteria": {
      "shot_trident": "2019-12-24 21:41:03 +0800"
    },
    "done": true
  },
  "minecraft:recipes/building_blocks/blue_concrete_powder": {
    "criteria": {
      "has_gravel": "2019-11-19 21:11:11 +0800"
    },
    "done": true
  },
  "minecraft:recipes/building_blocks/gray_concrete_powder": {
    "criteria": {
      "has_gravel": "2019-11-19 21:11:11 +0800"
    },
    "done": true
  },
  "minecraft:recipes/building_blocks/bookshelf": {
    "criteria": {
      "has_book": "2019-11-19 21:58:30 +0800"
    },
    "done": true
  },
  "minecraft:recipes/tools/golden_axe": {
    "criteria": {
      "has_gold_ingot": "2020-01-01 16:46:12 +0800"
    },
    "done": true
  },
  "minecraft:recipes/tools/iron_axe": {
    "criteria": {
      "has_iron_ingot": "2020-01-01 16:30:42 +0800"
    },
    "done": true
  },
  "minecraft:recipes/building_blocks/polished_andesite_stairs_from_polished_andesite_stonecutting": {
    "criteria": {
      "has_polished_andesite": "2019-09-15 21:47:15 +0800"
    },
    "done": true
  },
  "minecraft:recipes/building_blocks/sea_lantern": {
    "criteria": {
      "has_prismarine_crystals": "2020-01-18 21:54:15 +0800"
    },
    "done": true
  },
  "minecraft:recipes/combat/golden_helmet": {
    "criteria": {
      "has_gold_ingot": "2020-01-01 16:46:12 +0800"
    },
    "done": true
  },
  "minecraft:recipes/building_blocks/quartz_slab_from_stonecutting": {
    "criteria": {
      "has_quartz_block": "2019-12-04 22:02:33 +0800"
    },
    "done": true
  },
  "minecraft:recipes/combat/iron_boots": {
    "criteria": {
      "has_iron_ingot": "2020-01-01 16:30:42 +0800"
    },
    "done": true
  },
  "minecraft:recipes/building_blocks/chiseled_quartz_block": {
    "criteria": {
      "has_quartz_block": "2019-12-04 22:02:33 +0800"
    },
    "done": true
  },
  "minecraft:recipes/building_blocks/black_concrete_powder": {
    "criteria": {
      "has_gravel": "2019-11-19 21:11:11 +0800"
    },
    "done": true
  },
  "minecraft:recipes/misc/skull_banner_pattern": {
    "criteria": {
      "has_wither_skeleton_skull": "2020-01-01 16:31:03 +0800"
    },
    "done": true
  },
  "minecraft:recipes/food/cooked_salmon": {
    "criteria": {
      "has_salmon": "2019-09-15 21:47:53 +0800"
    },
    "done": true
  },
  "minecraft:recipes/redstone/stone_button": {
    "criteria": {
      "has_stone": "2019-11-19 21:11:21 +0800"
    },
    "done": true
  },
  "minecraft:recipes/combat/crossbow": {
    "criteria": {
      "has_iron_ingot": "2020-01-01 16:30:42 +0800"
    },
    "done": true
  },
  "minecraft:recipes/combat/iron_chestplate": {
    "criteria": {
      "has_iron_ingot": "2020-01-01 16:30:42 +0800"
    },
    "done": true
  },
  "minecraft:recipes/misc/coal": {
    "criteria": {
      "has_coal_block": "2019-09-15 21:12:44 +0800"
    },
    "done": true
  },
  "minecraft:recipes/building_blocks/prismarine_bricks": {
    "criteria": {
      "has_prismarine_shard": "2019-12-24 21:40:51 +0800"
    },
    "done": true
  },
  "minecraft:recipes/brewing/brewing_stand": {
    "criteria": {
      "has_blaze_rod": "2019-10-19 00:17:31 +0800"
    },
    "done": true
  },
  "minecraft:recipes/building_blocks/red_concrete_powder": {
    "criteria": {
      "has_gravel": "2019-11-19 21:11:11 +0800"
    },
    "done": true
  },
  "minecraft:recipes/misc/iron_nugget_from_blasting": {
    "criteria": {
      "has_iron_hoe": "2019-09-15 21:12:01 +0800"
    },
    "done": true
  },
  "minecraft:recipes/redstone/repeater": {
    "criteria": {
      "has_redstone_torch": "2019-09-15 22:43:32 +0800"
    },
    "done": true
  },
  "minecraft:adventure/kill_a_mob": {
    "criteria": {
      "minecraft:slime": "2019-12-30 19:01:14 +0800"
    },
    "done": true
  },
  "minecraft:recipes/tools/golden_pickaxe": {
    "criteria": {
      "has_gold_ingot": "2020-01-01 16:46:12 +0800"
    },
    "done": true
  },
  "minecraft:recipes/misc/magenta_dye_from_blue_red_pink": {
    "criteria": {
      "has_red_dye": "2019-09-23 21:59:49 +0800"
    },
    "done": true
  },
  "minecraft:adventure/honey_block_slide": {
    "criteria": {
      "honey_block_slide": "2020-03-31 15:05:19 +0800"
    },
    "done": true
  },
  "minecraft:recipes/decorations/blue_carpet_from_white_carpet": {
    "criteria": {
      "has_blue_dye": "2019-10-19 00:15:48 +0800"
    },
    "done": true
  },
  "minecraft:adventure/ol_betsy": {
    "criteria": {
      "shot_crossbow": "2019-09-15 21:49:04 +0800"
    },
    "done": true
  },
  "minecraft:nether/obtain_blaze_rod": {
    "criteria": {
      "blaze_rod": "2019-10-19 00:17:31 +0800"
    },
    "done": true
  },
  "minecraft:recipes/building_blocks/stone": {
    "criteria": {
      "has_cobblestone": "2019-11-19 21:26:33 +0800"
    },
    "done": true
  },
  "minecraft:recipes/building_blocks/polished_andesite": {
    "criteria": {
      "has_stone": "2019-11-19 21:26:38 +0800"
    },
    "done": true
  },
  "minecraft:recipes/brewing/magma_cream": {
    "criteria": {
      "has_blaze_powder": "2019-11-03 21:44:48 +0800"
    },
    "done": true
  },
  "minecraft:recipes/decorations/stonecutter": {
    "criteria": {
      "has_stone": "2019-11-19 21:11:21 +0800"
    },
    "done": true
  },
  "minecraft:adventure/adventuring_time": {
    "criteria": {
      "minecraft:plains": "2019-09-15 21:12:01 +0800"
    },
    "done": false
  },
  "minecraft:recipes/redstone/iron_door": {
    "criteria": {
      "has_iron_ingot": "2020-01-01 16:30:42 +0800"
    },
    "done": true
  },
  "minecraft:recipes/misc/book": {
    "criteria": {
      "has_paper": "2019-12-30 17:41:27 +0800"
    },
    "done": true
  },
  "minecraft:recipes/combat/stone_sword": {
    "criteria": {
      "has_cobblestone": "2019-11-19 21:26:33 +0800"
    },
    "done": true
  },
  "minecraft:recipes/building_blocks/snow_block": {
    "criteria": {
      "has_snowball": "2019-10-18 23:58:26 +0800"
    },
    "done": true
  },
  "minecraft:recipes/decorations/cobblestone_wall": {
    "criteria": {
      "has_cobblestone": "2019-11-19 21:26:33 +0800"
    },
    "done": true
  },
  "minecraft:recipes/tools/stone_pickaxe": {
    "criteria": {
      "has_cobblestone": "2019-11-19 21:26:33 +0800"
    },
    "done": true
  },
  "minecraft:recipes/decorations/smithing_table": {
    "criteria": {
      "has_iron_ingot": "2020-01-01 16:30:42 +0800"
    },
    "done": true
  },
  "minecraft:recipes/misc/iron_ingot_from_nuggets": {
    "criteria": {
      "has_iron_nugget": "2020-03-29 00:20:35 +0800"
    },
    "done": true
  },
  "minecraft:recipes/redstone/stone_pressure_plate": {
    "criteria": {
      "has_stone": "2019-11-19 21:11:21 +0800"
    },
    "done": true
  },
  "minecraft:recipes/misc/purple_dye": {
    "criteria": {
      "has_red_dye": "2019-09-23 21:59:49 +0800"
    },
    "done": true
  },
  "minecraft:recipes/decorations/purple_stained_glass_pane_from_glass_pane": {
    "criteria": {
      "has_purple_dye": "2019-10-18 23:58:32 +0800"
    },
    "done": true
  },
  "minecraft:recipes/transportation/jungle_boat": {
    "criteria": {
      "in_water": "2019-11-03 22:40:39 +0800"
    },
    "done": true
  },
  "minecraft:recipes/misc/red_dye_from_tulip": {
    "criteria": {
      "has_red_flower": "2020-01-15 20:38:29 +0800"
    },
    "done": true
  },
  "minecraft:adventure/shoot_arrow": {
    "criteria": {
      "shot_arrow": "2019-09-15 21:50:04 +0800"
    },
    "done": true
  },
  "minecraft:recipes/decorations/cobblestone_wall_from_cobblestone_stonecutting": {
    "criteria": {
      "has_cobblestone": "2019-11-19 21:26:33 +0800"
    },
    "done": true
  },
  "minecraft:recipes/building_blocks/polished_andesite_slab_from_polished_andesite_stonecutting": {
    "criteria": {
      "has_polished_andesite": "2019-09-15 21:47:15 +0800"
    },
    "done": true
  },
  "minecraft:recipes/decorations/stone_brick_walls_from_stone_stonecutting": {
    "criteria": {
      "has_stone": "2019-11-19 21:11:21 +0800"
    },
    "done": true
  },
  "minecraft:recipes/redstone/heavy_weighted_pressure_plate": {
    "criteria": {
      "has_iron_ingot": "2020-01-01 16:30:42 +0800"
    },
    "done": true
  },
  "minecraft:recipes/transportation/dark_oak_boat": {
    "criteria": {
      "in_water": "2019-11-03 22:40:39 +0800"
    },
    "done": true
  },
  "minecraft:recipes/food/pumpkin_pie": {
    "criteria": {
      "has_carved_pumpkin": "2019-11-19 21:20:23 +0800"
    },
    "done": true
  },
  "minecraft:recipes/decorations/andesite_wall_from_andesite_stonecutting": {
    "criteria": {
      "has_andesite": "2019-11-19 21:26:38 +0800"
    },
    "done": true
  },
  "minecraft:recipes/decorations/flower_pot": {
    "criteria": {
      "has_brick": "2020-02-25 22:34:09 +0800"
    },
    "done": true
  },
  "minecraft:recipes/misc/light_gray_dye_from_gray_white_dye": {
    "criteria": {
      "has_gray_dye": "2020-02-10 17:28:41 +0800"
    },
    "done": true
  },
  "minecraft:recipes/decorations/yellow_carpet": {
    "criteria": {
      "has_yellow_wool": "2019-09-15 21:38:11 +0800"
    },
    "done": true
  },
  "minecraft:recipes/misc/mojang_banner_pattern": {
    "criteria": {
      "has_enchanted_golden_apple": "2019-12-04 22:48:19 +0800"
    },
    "done": true
  },
  "minecraft:recipes/combat/golden_leggings": {
    "criteria": {
      "has_gold_ingot": "2020-01-01 16:46:12 +0800"
    },
    "done": true
  },
  "minecraft:recipes/decorations/lantern": {
    "criteria": {
      "has_iron_nugget": "2019-10-19 00:09:45 +0800"
    },
    "done": true
  },
  "minecraft:recipes/misc/stick_from_bamboo_item": {
    "criteria": {
      "has_bamboo": "2019-09-15 21:50:26 +0800"
    },
    "done": true
  },
  "minecraft:recipes/building_blocks/stone_stairs": {
    "criteria": {
      "has_stone": "2019-11-19 21:11:21 +0800"
    },
    "done": true
  },
  "minecraft:recipes/decorations/gray_stained_glass_pane_from_glass_pane": {
    "criteria": {
      "has_gray_dye": "2020-02-10 17:28:41 +0800"
    },
    "done": true
  },
  "minecraft:recipes/building_blocks/prismarine": {
    "criteria": {
      "has_prismarine_shard": "2019-12-24 21:40:51 +0800"
    },
    "done": true
  },
  "minecraft:recipes/misc/gold_nugget_from_smelting": {
    "criteria": {
      "has_golden_axe": "2019-10-19 00:02:02 +0800"
    },
    "done": true
  },
  "minecraft:recipes/combat/diamond_boots": {
    "criteria": {
      "has_diamond": "2020-01-04 22:10:11 +0800"
    },
    "done": true
  },
  "minecraft:recipes/decorations/andesite_wall": {
    "criteria": {
      "has_andesite": "2019-11-19 21:26:38 +0800"
    },
    "done": true
  },
  "minecraft:recipes/food/cooked_chicken": {
    "criteria": {
      "has_chicken": "2019-09-15 22:34:46 +0800"
    },
    "done": true
  },
  "minecraft:recipes/building_blocks/andesite_slab": {
    "criteria": {
      "has_andesite": "2019-11-19 21:26:38 +0800"
    },
    "done": true
  },
  "minecraft:recipes/decorations/gray_carpet_from_white_carpet": {
    "criteria": {
      "has_gray_dye": "2020-02-10 17:28:41 +0800"
    },
    "done": true
  },
  "minecraft:recipes/misc/orange_dye_from_red_yellow": {
    "criteria": {
      "has_red_dye": "2019-09-23 21:59:49 +0800"
    },
    "done": true
  },
  "minecraft:story/smelt_iron": {
    "criteria": {
      "iron": "2020-01-01 16:30:42 +0800"
    },
    "done": true
  },
  "minecraft:recipes/decorations/pink_carpet_from_white_carpet": {
    "criteria": {
      "has_pink_dye": "2020-02-10 17:23:50 +0800"
    },
    "done": true
  },
  "minecraft:recipes/tools/stone_axe": {
    "criteria": {
      "has_cobblestone": "2019-11-19 21:26:33 +0800"
    },
    "done": true
  },
  "minecraft:recipes/misc/fire_charge": {
    "criteria": {
      "has_blaze_powder": "2019-11-03 21:44:48 +0800"
    },
    "done": true
  },
  "DataVersion": 2230
}